#
# spec file for package perl-PerlIO-utf8_strict
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name PerlIO-utf8_strict
Name:           perl-PerlIO-utf8_strict
Version:        0.010
Release:        1.5
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Fast and correct UTF-8 IO
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/L/LE/LEONT/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
Patch0:         no-return-in-nonvoid-function.patch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More) >= 0.88
%{perl_requires}

%description
This module provides a fast and correct UTF-8 PerlIO layer. Unlike perl's
default ':utf8' layer it checks the input for correctness.

%prep
%autosetup  -n %{cpan_name}-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Thu Oct 27 2022 Tina Müller <timueller+perl@suse.de>
- updated to 0.010
  see /usr/share/doc/packages/perl-PerlIO-utf8_strict/Changes
  0.010     2022-10-26 18:57:45+02:00 Europe/Amsterdam
  - Re-release with updated pport.h for 5.8.5 compatibility
* Sun Jan  9 2022 Tina Müller <timueller+perl@suse.de>
- updated to 0.009
  see /usr/share/doc/packages/perl-PerlIO-utf8_strict/Changes
  0.009     2022-01-08 17:26:23+01:00 Europe/Amsterdam
  - Mark functions that croak as noreturn
* Sat Sep 19 2020 Tina Müller <timueller+perl@suse.de>
- updated to 0.008
  see /usr/share/doc/packages/perl-PerlIO-utf8_strict/Changes
  0.008     2020-09-19 00:11:59+02:00 Europe/Amsterdam
  - Make unread by :crlf on top of :utf8_strict reliable
* Fri Apr  7 2017 coolo@suse.com
- updated to 0.007
  see /usr/share/doc/packages/perl-PerlIO-utf8_strict/Changes
  0.007     2017-04-06 14:58:37+02:00 Europe/Amsterdam
  - Adapt to dot no longer being in @INC
  - Adapt to unicode syswrite being deprecated
* Mon Mar 13 2017 coolo@suse.com
- updated to 0.006
  see /usr/share/doc/packages/perl-PerlIO-utf8_strict/Changes
  0.006     2015-05-01 11:36:21+02:00 Europe/Amsterdam
    Move to MakeMaker
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.005
  see /usr/share/doc/packages/perl-PerlIO-utf8_strict/Changes
  0.005     2014-11-06 00:56:54+01:00 Europe/Amsterdam
    Add PPPort to compile on perl <5.8.9
* Mon Mar 10 2014 coolo@suse.com
- add no-return-in-nonvoid-function.patch to fix build checks
* Mon Mar 10 2014 coolo@suse.com
- initial package 0.004
  * created by cpanspec 1.78.07
